// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

// tslint:disable
/**
 * eGesetzgebung Platform
 * This is the rest interface offered by the eGesetzgebung Platform backend.  Please provide __JW Access Token__ using button \'Authorize\' to access protected endpoints. Use the following instructions to get token:  1. on CMD/Bash/Terminal: ```curl -d \"client_id=user-management\" -d \"client_secret=INSERT_IAM_SECRET\" -d \"grant_type=password&username=INSERT_USER_EMAIL&password=INSERT_USER_PASSWORD\" \"INSERT_IAM_URL/realms/bund/protocol/openid-connect/token\"``` 2. copy access_token (without quotes, you can use jq or other tools to extract this value automatically) 3. insert value into \'JWToken\' field under \'Authorize\' and press \'Authorize\' 4. now you should have access to user protected endpoint  __FYI:__ token expires after 60 seconds. On non-production systems only a warning is displayed so you can work smoothly, but on production systems you have to frequently provide a new token.
 *
 * The version of the OpenAPI document: 9.0.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import type {
    AbstimmungstypType,
    AnfrageEntityResponseDTO,
    DocumentType,
    DokumentenmappeDTO,
    ErstellerType,
    FileEntityResponseDTO,
    RegelungsvorhabenEntityResponseShortDTO,
    UserEntityResponseDTO,
} from './';

/**
 * @export
 * @interface AnfrageTableDTO
 */
export interface AnfrageTableDTO {
    /**
     * ID der Abstimmung
     * @type {string}
     * @memberof AnfrageTableDTO
     */
    id: string;
    /**
     * Erstelldatum der Abstimmung
     * @type {string}
     * @memberof AnfrageTableDTO
     */
    erstelltAm: string;
    /**
     * Letztes Bearbeitungsdatum der Abstimmung
     * @type {string}
     * @memberof AnfrageTableDTO
     */
    bearbeitetAm: string;
    /**
     * @type {UserEntityResponseDTO}
     * @memberof AnfrageTableDTO
     */
    bearbeiterStellvertreter?: UserEntityResponseDTO;
    /**
     * Titel der Abstimmung
     * @type {string}
     * @memberof AnfrageTableDTO
     */
    titel?: string;
    /**
     * @type {FileEntityResponseDTO}
     * @memberof AnfrageTableDTO
     */
    regelungsentwurf?: FileEntityResponseDTO;
    /**
     * @type {DokumentenmappeDTO}
     * @memberof AnfrageTableDTO
     */
    dokumentenmappe?: DokumentenmappeDTO;
    /**
     * @type {string}
     * @memberof AnfrageTableDTO
     */
    fristablauf?: string;
    /**
     * @type {RegelungsvorhabenEntityResponseShortDTO}
     * @memberof AnfrageTableDTO
     */
    regelungsvorhaben?: RegelungsvorhabenEntityResponseShortDTO;
    /**
     * Version der Abstimmung
     * @type {number}
     * @memberof AnfrageTableDTO
     */
    version: number;
    /**
     * @type {string}
     * @memberof AnfrageTableDTO
     */
    abstimmungMetadataId: string;
    /**
     * @type {AbstimmungstypType}
     * @memberof AnfrageTableDTO
     */
    typ?: AbstimmungstypType;
    /**
     * @type {DocumentType}
     * @memberof AnfrageTableDTO
     */
    documentTyp: DocumentType;
    /**
     * @type {UserEntityResponseDTO}
     * @memberof AnfrageTableDTO
     */
    ersteller: UserEntityResponseDTO;
    /**
     * @type {ErstellerType}
     * @memberof AnfrageTableDTO
     */
    erstellerType: ErstellerType;
    /**
     * @type {AnfrageEntityResponseDTO}
     * @memberof AnfrageTableDTO
     */
    anfrage: AnfrageEntityResponseDTO;
    /**
     * @type {string}
     * @memberof AnfrageTableDTO
     */
    originalTab: AnfrageTableDTOOriginalTabEnum;
    /**
     * Wurde die Oberabstimmung fristgemäß beendet oder wurde der Teilnehmer in der Oberabstimmung entfernt?
     * @type {boolean}
     * @memberof AnfrageTableDTO
     */
    geschlossen?: boolean;
}

/**
 * @export
 * @enum {string}
 */
export enum AnfrageTableDTOOriginalTabEnum {
    MeineAbstimmungen = 'MEINE_ABSTIMMUNGEN',
    BitteUmMitzeichnung = 'BITTE_UM_MITZEICHNUNG',
    Anfragen = 'ANFRAGEN',
    Teilnahmeanfragen = 'TEILNAHMEANFRAGEN',
    EntwuerfeAbstimmungen = 'ENTWUERFE_ABSTIMMUNGEN',
    ArchivAbstimmungen = 'ARCHIV_ABSTIMMUNGEN',
    MeineRegelungsvorhaben = 'MEINE_REGELUNGSVORHABEN',
    EntwuerfeRegelungsvorhaben = 'ENTWUERFE_REGELUNGSVORHABEN',
    ArchivRegelungsvorhaben = 'ARCHIV_REGELUNGSVORHABEN',
    MeineZeitplanungen = 'MEINE_ZEITPLANUNGEN',
    Billigungen = 'BILLIGUNGEN',
    Zeitplanungsvorlagen = 'ZEITPLANUNGSVORLAGEN',
    ArchivZeitplanung = 'ARCHIV_ZEITPLANUNG',
    ArchivEgfa = 'ARCHIV_EGFA',
    Egfa = 'EGFA',
    EditorDokument = 'EDITOR_DOKUMENT',
    DrucksacheDetails = 'DRUCKSACHE_DETAILS'
}

